[rt-users] Data corruption with DBD::Pg 3.3.0

Dominic Hargreaves dominic.hargreaves at it.ox.ac.uk
Mon Aug 11 17:23:19 EDT 2014


On Wed, Aug 06, 2014 at 12:43:35PM -0400, Alex Vandiver wrote:
> On 08/06/2014 12:38 PM, saxmad wrote:
> > I'm on RT release 4.0.7 (form the Debian backports repo), with no imminent
> > upgrade in mind, so that should be fine.
> 
> No, it shouldn't be; re-read my message.  DBD::Pg 3.3.0 breaks _all_
> versions of RT.  You _will_ have data corruption if you install DBD::Pg
> on your version of RT.

This is a pretty serious issue. I don't see any sign of a bug against
DBD::Pg in the CPAN bugtracker, and Debian now has 3.3.0 in unstable
and testing. Could you say a bit more about the problem and what plans
there are to fix/workaround it for RT? Forcing a lower version of
DBD::Pg isn't a practical option in a packaged environment like
Debian.

Cheers,
Domninic.

-- 
Dominic Hargreaves, Systems Development and Support Section
IT Services, University of Oxford
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: Digital signature
URL: <http://lists.bestpractical.com/pipermail/rt-users/attachments/20140811/ab08b065/attachment.pgp>


More information about the rt-users mailing list